|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectcom.opensymphony.xwork2.ActionSupport
com.gisgraphy.webapp.action.SearchAction
com.gisgraphy.webapp.action.GeolocSearchAction
public class GeolocSearchAction
Geolocalisation search Action
| Field Summary | |
|---|---|
String |
lat
|
String |
lng
|
String |
radius
|
| Fields inherited from class com.gisgraphy.webapp.action.SearchAction |
|---|
DEFAULT_NUMBER_OF_RESULTS_PER_PAGE, errorMessage, POPUP_VIEW |
| Fields inherited from class com.opensymphony.xwork2.ActionSupport |
|---|
LOG |
| Fields inherited from interface com.opensymphony.xwork2.Action |
|---|
ERROR, INPUT, LOGIN, NONE, SUCCESS |
| Constructor Summary | |
|---|---|
GeolocSearchAction()
|
|
| Method Summary | |
|---|---|
com.gisgraphy.serializer.common.OutputFormat[] |
getFormats()
|
String |
getLat()
|
String |
getLng()
|
String |
getPlacetype()
|
String |
getRadius()
|
com.gisgraphy.domain.valueobject.GeolocResultsDto |
getResponseDTO()
|
boolean |
isDisplayResults()
|
boolean |
isDistance()
|
String |
search()
Execute a GeolocSearch from the request parameters |
String |
searchpopup()
Execute a geolocSearch from the request parameters |
void |
setDistance(boolean distance)
|
void |
setGeolocSearchEngine(com.gisgraphy.geocoloc.IGeolocSearchEngine geolocSearchEngine)
|
void |
setLat(String lat)
|
void |
setLng(String lng)
|
void |
setPlacetype(String placetype)
|
void |
setRadius(String radius)
|
| Methods inherited from class com.gisgraphy.webapp.action.SearchAction |
|---|
getDefaultNumberOfResultsPerPage, getErrorMessage, getFormat, getFrom, getPlacetypes, getTo, isAdvancedSearch, isIndent, setAdvancedSearch, setFormat, setFrom, setIndent, setTo |
| Methods inherited from class com.opensymphony.xwork2.ActionSupport |
|---|
addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, execute, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate |
| Methods inherited from class java.lang.Object |
|---|
equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public String lat
public String lng
public String radius
| Constructor Detail |
|---|
public GeolocSearchAction()
| Method Detail |
|---|
public boolean isDistance()
public void setDistance(boolean distance)
public boolean isDisplayResults()
public String search()
throws Exception
Exception - in case of errors
public String searchpopup()
throws Exception
Exception - in case of errorspublic com.gisgraphy.serializer.common.OutputFormat[] getFormats()
public void setGeolocSearchEngine(com.gisgraphy.geocoloc.IGeolocSearchEngine geolocSearchEngine)
geolocSearchEngine - the geolocSearchEngine to setpublic String getLat()
public void setLat(String lat)
lat - the lat to setpublic String getLng()
public void setLng(String lng)
lng - the lng to setpublic String getRadius()
public void setRadius(String radius)
radius - the radius to setpublic void setPlacetype(String placetype)
placetype - the placetype to setpublic String getPlacetype()
public com.gisgraphy.domain.valueobject.GeolocResultsDto getResponseDTO()
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||